"""Add ldap directory

Revision ID: ec81173dbe48
Revises: 6c174457829c
Create Date: 2024-06-06 23:50:54.368404

"""

from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa
from portal.model import Uuid

# revision identifiers, used by Alembic.
revision: str = "ec81173dbe48"
down_revision: Union[str, None] = "6c174457829c"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    op.create_table(
        "ldap_directory",
        sa.Column("url", sa.String(), nullable=False),
        sa.Column("base_dn", sa.String(), nullable=False),
        sa.Column("uuid", Uuid(), nullable=False),
        sa.PrimaryKeyConstraint("uuid"),
    )


def downgrade() -> None:
    op.drop_table("ldap_directory")
