from portal.model import TaigaUserStoryProvider

from .blueprint import bp
from .auth import require_valid
from ..model import Key


@bp.get("/agendas/-/items")
@require_valid(Key)
def the_agenda_items() -> list[dict[str, str]]:
    tasks = sorted(
        TaigaUserStoryProvider.get_the_one().fetch_user_stories(),
        key=lambda task: task["kanban_order"],
    )

    item_names = [
        "Tagesordnung",
        "Gremienberichte",
        "Posteingang und Kummerkasten",
        *(task["subject"] for task in tasks),
        "Sonstiges",
    ]

    return [{"name": name} for name in item_names]
