from flask import render_template

from ..problem_details import ProblemResponse, not_found
from .blueprint import bp


@bp.get("/<path:_>")
def fallback_not_found(_: object) -> ProblemResponse:
    """
    If you can't find a matching API endpoint, fallback to returning a 404.

    We completely ignore the provided path (hence the argument name "_" and not something useful),
    because if this method is ever reached, we already know the only viable response is a 404.
    """
    return not_found()


@bp.get("/")
def index() -> str:
    return render_template("redocly.html")
