from flask import Blueprint, redirect, render_template, url_for
from werkzeug import Response

bp = Blueprint("main", __name__)


@bp.get("/", defaults={"_": ""})
@bp.get("/<path:_>")
def index(_: object) -> str:
    """
    Serve the index page at /*, i.e. at any path below / and at / itself.

    We completely ignore the provided path (hence the argument name "_" and not
    something useful), because only the client-side JavaScript code will process it.
    """
    return render_template("index.html")


@bp.get("/api/")
def redirect_to_api() -> Response:
    return redirect(url_for("api.index"))
